Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 173081

Summary: xdm scripts in /usr/lib
Product: [Fedora] Fedora Reporter: Jeremy Katz <katzj>
Component: xorg-x11Assignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED RAWHIDE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-11-14 17:47:02 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 171376    

Description Jeremy Katz 2005-11-13 16:45:22 EST
The xorg-x11-xdm package is placing its scripts in /usr/lib/X11/xdm -- this is
almost certainly not correct as that then requires doing architecture specific
paths for them in other packages

Really, leaving them in /etc/X11/xdm feels much more like the "right" thing.  If
not there, then /usr/share/X11/xdm
Comment 1 Jeremy Katz 2005-11-14 17:47:02 EST
Filed upstream as https://bugs.freedesktop.org/show_bug.cgi?id=5055, fixed
locally in our packages in -4 and later
Comment 2 Mike A. Harris 2005-11-15 00:40:57 EST
Agreed.  They should be moved upstream.  We can workaround it locally if
need be, but it'll probably require patching xdm autotool scripts.
Comment 3 Mike A. Harris 2005-11-15 00:42:12 EST
Crap, I added comment #2 before comment #1 was added, but got a midair
collision, so refreshed, and pasted before reading #1.  Lesson learned:
Read before submit. ;)